package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 挂失证件
 * </p>
 *
 * @author yansen
 * @since 2022-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaLossReport对象", description="挂失证件")
public class TaLossReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "挂失ID")
    @TableId(value = "report_id", type = IdType.INPUT)
    private String reportId;

    @ApiModelProperty(value = "挂失人")
    private String personId;

    @ApiModelProperty(value = "挂失证件号")
    private String cardNo;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
