package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 通用统计
 * </p>
 *
 * @author yansen
 * @since 2022-05-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TsCommonForm对象", description="通用统计")
public class TsCommonForm implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计ID")
    @TableId(value = "statis_id", type = IdType.AUTO)
    private Integer statisId;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "统计类型")
    private String stType;

    @ApiModelProperty(value = "统计名称")
    private String name;

    @ApiModelProperty(value = "统计值")
    private Integer value;


}
