package com.njyunzhi.pet_identity.mapper;

import com.njyunzhi.pet_identity.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 人员表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {

    @Select("SELECT COUNT(*) FROM ta_person WHERE phone is not null")
    int countRegiste();
}
