package com.njyunzhi.pet_identity.mapper;

import com.njyunzhi.pet_identity.entity.TsCommonForm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.pet_identity.vo.StatisValue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 通用统计 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-28
 */
@Mapper
public interface TsCommonFormMapper extends BaseMapper<TsCommonForm> {

    List<StatisValue> getStatisDataBy(@Param("stType") String stType,
                                      @Param("startDate") String startDate,
                                      @Param("days") Integer days);
}
