package com.njyunzhi.pet_identity.service.impl;

import com.njyunzhi.pet_identity.entity.TsCommonForm;
import com.njyunzhi.pet_identity.mapper.TsCommonFormMapper;
import com.njyunzhi.pet_identity.service.ITsCommonFormService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njyunzhi.pet_identity.vo.StatisValue;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 通用统计 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-28
 */
@Service
public class TsCommonFormServiceImpl extends ServiceImpl<TsCommonFormMapper, TsCommonForm> implements ITsCommonFormService {

    @Override
    public List<StatisValue> getStatisDataBy(String stType, String startDate, Integer days) throws Exception {
        return baseMapper.getStatisDataBy(stType, startDate, days);
    }
}
