package com.njyunzhi.pet_identity.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.pet_identity.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {

    IPage<SysUser> getPagedBy(IPage<SysUser> pg, @Param("userName") String userName, @Param("phone") String phone);
}
