package com.njyunzhi.pet_identity.mapper;

import com.njyunzhi.pet_identity.entity.TaOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 订单表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Mapper
public interface TaOrderMapper extends BaseMapper<TaOrder> {

    @Select("SELECT UUID_SHORT()")
    String getShortUUID();

    TaOrder getByApplyId(@Param("applyId") String applyId);
}
