package com.njyunzhi.pet_identity.mapper;

import com.njyunzhi.pet_identity.entity.TaSequence;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 序列表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-25
 */
@Mapper
public interface TaSequenceMapper extends BaseMapper<TaSequence> {

    @Select("SELECT fn_nextval(#{seqName})")
    Integer getNextVal(@Param("seqName") String seqName);
}
