package com.njyunzhi.pet_identity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.njyunzhi.pet_identity.common.Constants;
import com.njyunzhi.pet_identity.entity.TaApplication;
import com.njyunzhi.pet_identity.mapper.TaApplicationMapper;
import com.njyunzhi.pet_identity.service.ITaApplicationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 我的申请 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Service
public class TaApplicationServiceImpl extends BaseServiceImpl<TaApplicationMapper, TaApplication> implements ITaApplicationService {

    @Override
    public int countBetween(LocalDateTime dayStart, LocalDateTime dayEnd) {
        QueryWrapper<TaApplication> queryWrapper = new QueryWrapper<>();
        queryWrapper.ge("create_date", dayStart);
        queryWrapper.le("create_date", dayEnd);
        queryWrapper.gt("status", Constants.STATUS_DELETE);

        return count(queryWrapper);
    }
}
